> For the complete documentation index, see [llms.txt](https://docs.feedbackly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.feedbackly.com/api/response-chains/get-response-chains.md).

# GET Response-chains

## Response chains

<mark style="color:blue;">`GET`</mark> `https://api.feedbackly.com/v5.0.3/response-chains`

Gets responses grouped by a single respondent.

#### Query Parameters

| Name              | Type    | Description                                                                                  |
| ----------------- | ------- | -------------------------------------------------------------------------------------------- |
| skip              | number  | No. of documents to skip from the start                                                      |
| createdTo         | string  | Filter by unix timestamp, ending at given value                                              |
| createdFrom       | string  | Filter by unix timestamp, starting from given value                                          |
| touchpointId      | string  | Filter by touchpoint id                                                                      |
| surveyId          | string  | Filter by survey ids                                                                         |
| preferredLanguage | string  | Preferred language to show the question titles in                                            |
| isClosed          | boolean | NEW with Survey 3.0! Filter responses with that are not editable by the respondent anymore   |
| surveyVersion     | number  | NEW! Filter by used survey version while collecting responses( current versions are 2 and 3) |

#### Headers

| Name          | Type   | Description                                                                                           |
| ------------- | ------ | ----------------------------------------------------------------------------------------------------- |
| Authorization | string | <p>Authentication token to access the API. eg:<br>'Authorization': 'ey0iuefg.834xcunerun348efnsd'</p> |

{% tabs %}
{% tab title="200 " %}

```
{
    data: [
        {
        "_id": "5979be93d296f3dbf83fb056",
        "surveyId": "59788132f870b600018d6dda",
        "touchpointId": "59529fbef3774c0001a49708",
        "touchpointName": "My touchpoint",
        "createdAt": 1501150867,
        "createdAtDate": "2017-07-27T10:21:07.619Z",
        "teamId": "5dc56d54b7c935069aefa9e2",
        "teamName": "My team name",
        "metadata": {
            "customerId": "34tNa31"
        },
        "language": "en",
        "browser": "Mac OS X Chrome 84.0.4147.105",
        "responses": [
            {
                "question": "How likely are you to recommend us to your friend or colleague?",
                "answer": 2,
                "valueNum": 2,
                "language": "en",
                "questionType": "NPS",
                "questionId": "5978813ab9215744ea08e463",
                "surveyId": "59788132f870b600018d6dda"
            },
            {
                "question": "Could you specify what was bad in your experience?",
                "answer": "Your office branch was unclean.",
                "valueString": "Your office branch was unclean.",
                "language": "en",
                "questionType": "Text",
                "questionId": "597881a4b9215744ea08e464",
                "surveyId": "59788132f870b600018d6dda"
            }
        ]
     }
    ],
    "paging": {
        "next": "https://api.feedbackly.com/v5/response-chains?skip=200",
        "previous": "https://api.feedbackly.com/v5/response-chains?skip=0"
  }
}
```

{% endtab %}
{% endtabs %}

### Return type description

| Field  | Type                                                                          | Example | Description                            |
| ------ | ----------------------------------------------------------------------------- | ------- | -------------------------------------- |
| data   | [Response chain data](/api/response-chains.md#response-chain-data-object) \[] |         | Response chain with embedded responses |
| paging | [Pagination](/api/notes/pagination.md)                                        |         | Pagination object                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.feedbackly.com/api/response-chains/get-response-chains.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
